> For the complete documentation index, see [llms.txt](https://docs.vires.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vires.finance/knowledgebase/how-is-net-apy-calculated.md).

# How is Net APY calculated?

## Net APY Calculation

1. Convert all supplied and borrowed asset amounts to a single asset (USD).
2. Calculate **the sum of (suppliedAmount \* supplyApy - borrowedAmount \* borrowApy)** for all  assets(including Vires APR for both deposits and borrows)
3. If the calculated sum from the previous step is >0 then Net APY = 100 \* (sum / totalSuppliedValue). If the calculation from the previous step is <0 then Net APY = 100 \* (sum / totalBorrowedValue). If the calculation from the previous step is 0 then Net APY = 0.

### Example

Supplied Assets:

* 1000 WAVES (*$28000*) @ 3.66% APY + 0.09% Vires APR = *3.72%*
* 10000 USDC (*$10000*) @ 55.57 APY% + 3.16% Vires APR = *58.73%*

&#x20;Borrowed Assets:

* 1000 USDT (*$1000*) @ 54.32 APY% - 3.12% Vires APR = *51.2%*

Calculation:

```
change = (28000 * 0.0372 + 10000 * 0.5873) - (1000 * 0.512) = 6402.6
base = 28000 + 10000 = 38000
Net APY = 6402.6 / 38000 = 16.84%
```

&#x20;Result:&#x20;

*Net APY = 16.84%*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.vires.finance/knowledgebase/how-is-net-apy-calculated.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
